Get Record By ID Lead
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "SALESFORCE_GET_RECORD_BY_ID_LEAD",
"parameters": {
"recordId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD"
payload = {
"tool": "SALESFORCE_GET_RECORD_BY_ID_LEAD",
"parameters": { "recordId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool: 'SALESFORCE_GET_RECORD_BY_ID_LEAD', parameters: {recordId: '<string>'}})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'SALESFORCE_GET_RECORD_BY_ID_LEAD',
'parameters' => [
'recordId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD"
payload := strings.NewReader("{\n \"tool\": \"SALESFORCE_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"recordId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"SALESFORCE_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"recordId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"SALESFORCE_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"recordId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"attributes": {
"type": "Lead",
"url": "/services/data/v68.0/sobjects/Lead/00Q5e00dr7WSCuEAAA"
},
"Id": "00Q5e00dr7WSCuEAAA",
"IsDeleted": false,
"MasterRecordId": null,
"LastName": "Docs Example",
"FirstName": null,
"Salutation": null,
"Name": "Docs Example",
"Title": null,
"Company": "Docs Example Co",
"Street": null,
"City": null,
"State": null,
"PostalCode": null,
"Country": null,
"Latitude": null,
"Longitude": null,
"GeocodeAccuracy": null,
"Address": null,
"Phone": null,
"MobilePhone": null,
"Fax": null,
"Email": "[email protected]",
"Website": null,
"PhotoUrl": "/services/images/photo/00Q5e00dr7WSCuEAAA",
"Description": null,
"LeadSource": null,
"Status": "Open",
"Industry": null,
"Rating": null,
"AnnualRevenue": null,
"NumberOfEmployees": null,
"OwnerId": "0055e00ppLgwe7JAAA",
"HasOptedOutOfEmail": false,
"IsConverted": false,
"ConvertedDate": null,
"ConvertedAccountId": null,
"ConvertedContactId": null,
"ConvertedOpportunityId": null,
"IsUnreadByOwner": true,
"CreatedDate": "2026-10-16T06:17:15.000+0000",
"CreatedById": "0055e00ppLgwe7JAAA",
"LastModifiedDate": "2026-10-16T06:17:15.000+0000",
"LastModifiedById": "0055e00ppLgwe7JAAA",
"SystemModstamp": "2026-10-16T06:17:15.000+0000",
"LastActivityDate": null,
"DoNotCall": false,
"HasOptedOutOfFax": false,
"LastViewedDate": "2026-10-16T06:17:15.000+0000",
"LastReferencedDate": "2026-10-16T06:17:15.000+0000",
"Jigsaw": null,
"JigsawContactId": null,
"EmailBouncedReason": null,
"EmailBouncedDate": null,
"IndividualId": null,
"IsPriorityRecord": false,
"sfLma__Subscriber_Org_Type__c": null
}Tools
Get Record By ID Lead
POST
/
projects
/
{project_id}
/
tools
/
#SALESFORCE_GET_RECORD_BY_ID_LEAD
Get Record By ID Lead
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "SALESFORCE_GET_RECORD_BY_ID_LEAD",
"parameters": {
"recordId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD"
payload = {
"tool": "SALESFORCE_GET_RECORD_BY_ID_LEAD",
"parameters": { "recordId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool: 'SALESFORCE_GET_RECORD_BY_ID_LEAD', parameters: {recordId: '<string>'}})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'SALESFORCE_GET_RECORD_BY_ID_LEAD',
'parameters' => [
'recordId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD"
payload := strings.NewReader("{\n \"tool\": \"SALESFORCE_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"recordId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"SALESFORCE_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"recordId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#SALESFORCE_GET_RECORD_BY_ID_LEAD")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"SALESFORCE_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"recordId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"attributes": {
"type": "Lead",
"url": "/services/data/v68.0/sobjects/Lead/00Q5e00dr7WSCuEAAA"
},
"Id": "00Q5e00dr7WSCuEAAA",
"IsDeleted": false,
"MasterRecordId": null,
"LastName": "Docs Example",
"FirstName": null,
"Salutation": null,
"Name": "Docs Example",
"Title": null,
"Company": "Docs Example Co",
"Street": null,
"City": null,
"State": null,
"PostalCode": null,
"Country": null,
"Latitude": null,
"Longitude": null,
"GeocodeAccuracy": null,
"Address": null,
"Phone": null,
"MobilePhone": null,
"Fax": null,
"Email": "[email protected]",
"Website": null,
"PhotoUrl": "/services/images/photo/00Q5e00dr7WSCuEAAA",
"Description": null,
"LeadSource": null,
"Status": "Open",
"Industry": null,
"Rating": null,
"AnnualRevenue": null,
"NumberOfEmployees": null,
"OwnerId": "0055e00ppLgwe7JAAA",
"HasOptedOutOfEmail": false,
"IsConverted": false,
"ConvertedDate": null,
"ConvertedAccountId": null,
"ConvertedContactId": null,
"ConvertedOpportunityId": null,
"IsUnreadByOwner": true,
"CreatedDate": "2026-10-16T06:17:15.000+0000",
"CreatedById": "0055e00ppLgwe7JAAA",
"LastModifiedDate": "2026-10-16T06:17:15.000+0000",
"LastModifiedById": "0055e00ppLgwe7JAAA",
"SystemModstamp": "2026-10-16T06:17:15.000+0000",
"LastActivityDate": null,
"DoNotCall": false,
"HasOptedOutOfFax": false,
"LastViewedDate": "2026-10-16T06:17:15.000+0000",
"LastReferencedDate": "2026-10-16T06:17:15.000+0000",
"Jigsaw": null,
"JigsawContactId": null,
"EmailBouncedReason": null,
"EmailBouncedDate": null,
"IndividualId": null,
"IsPriorityRecord": false,
"sfLma__Subscriber_Org_Type__c": null
}Provider API: Salesforce REST API (Latest version available to the connected org).
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Path Parameters
Your Paragon Project ID. You can copy your Project ID from your dashboard URL or by clicking Copy Project ID under the Environment switcher.
Body
application/json
Response
200 - application/json
The Salesforce record as returned by GET /services/data/<version>/sobjects/<object>/<id>. The fields depend on the object and the connected org, and include custom fields.
Was this page helpful?